Package org.eclipse.lemminx.services.format

## Class XMLFormatterDocumentOld

- java.lang.Object
- - org.eclipse.lemminx.services.format.XMLFormatterDocumentOld

    public class XMLFormatterDocumentOld
    extends Object

Default XML formatter which generates one text edit by rewriting the DOM node which must be formatted.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLFormatterDocumentOld​(TextDocument textDocument, org.eclipse.lsp4j.Range range, SharedSettings sharedSettings, Collection<IFormatterParticipant> formatterParticipants)` XML formatter document.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<? extends org.eclipse.lsp4j.TextEdit>` `format()` Returns a List containing a single TextEdit, containing the newly formatted changes of this.textDocument

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFormatterDocumentOld

    public XMLFormatterDocumentOld​(TextDocument textDocument,
                                   org.eclipse.lsp4j.Range range,
                                   SharedSettings sharedSettings,
                                   Collection<IFormatterParticipant> formatterParticipants)

XML formatter document.

### Method Detail

#### format

    public List<? extends org.eclipse.lsp4j.TextEdit> format()
                                                      throws BadLocationException

Returns a List containing a single TextEdit, containing the newly formatted changes of this.textDocument

Returns:
  List containing a single TextEdit
Throws:
  `BadLocationException`